- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications/batchUpdate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications/batchUpdate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications/batchUpdate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications/batchUpdate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications/batchUpdate#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications/batchUpdate#body.BatchUpdateApplicationsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications/batchUpdate#body.aspect)
- [UpdateApplicationRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications/batchUpdate#UpdateApplicationRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications/batchUpdate#UpdateApplicationRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications/batchUpdate#try-it)

Batch updates `Application` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/applications:batchUpdate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `Applications` will be updated. Format: `networks/{networkCode}` The parent field in the UpdateApplicationRequest must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications/batchUpdate#UpdateApplicationRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications/batchUpdate#UpdateApplicationRequest`)`` Required. The `Application` objects to update. |

### Response body

Response object for `applications.batchUpdate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "applications": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications#Application`) } ] } ``` |

| Fields ||
|---|---|
| `applications[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications#Application`)`` The `Application` objects updated. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## UpdateApplicationRequest

Request object for `applications.patch` method.

| JSON representation |
|---|
| ``` { "application": { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications#Application`) }, "updateMask": string } ``` |

| Fields ||
|---|---|
| `application` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications#Application`)`` Required. The `Application` to update. The `Application`'s `name` is used to identify the `Application` to update. |
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |